Mailinglist Archive: opensuse (2634 mails)

< Previous Next >
Re: [opensuse] install tomcat 5.5 with jdk 1.5 from APT on 10.2
  • From: "George Stoianov" <gstoyanoff@xxxxxxxxx>
  • Date: Wed, 28 Feb 2007 22:01:53 -0500
  • Message-id: <e0b842610702281901m21a63520l9f03931d27016b35@xxxxxxxxxxxxxx>
On 2/28/07, Zoltan Levardy <zoltan@xxxxxxxxxxx> wrote:
dear All,

i am new to the list, and first of all would like to say hello all of you.

Trying to get tomcat 5 (or 5.5) installing with APT. The problem is i am
unable to decide which APT extra repository to use for tomcat 5.x (+jta,
jaf, javamail - these dependencies are broken with default suse
installation, mightbe due to jdk1.5 is being used instead of 1.4).

my sources.list has the next lines:
repomd http://ftp-1.gwdg.de/pub/suse/i386 update/10.2
repomd http://ftp-1.gwdg.de/pub/opensuse/distribution 10.2/repo/oss/suse
repomd ftp://ftp-1.gwdg.de/pub/opensuse/repositories
Java:/addon/openSUSE_10.2/

the last one about to have tomcat 5.5 with jdk 1.5, but those RMPS
having unknown signature, for example:
Unknown signature
/var/cache/apt/archives/tomcat55_5.5.17-4.4_noarch.rpm: sha1 md5 (GPG)
NOT OK (MISSING KEYS: GPG#6b9d6523)

Anybody has hints or ideas how to get tomcat5 with jdk 1.5 on my box?
(1) how to surpress the digital signature checking?
(2) using alternative repository
(3) do not use those rpms for any reason

Hi Zoltan,

Please note that I am not against using any repository or rpm or apt
use, but if you are not putting this on a server and/or it is not a
production server for which you do have to have exactly that package
installed I would just grab what suits my needs from the apache site
plus the vm I need and set-up my own tomcat installation.

The rpm/debian package gives you a lot of stuff you do not get this
way, the rc scripts is one of them, but note that you can have as many
jvms at as many versions as you want as long as you run them
separately and their environments are not mixed up because of a
misconfiguration etc..

I do a lot of java development on daily basis and I have at least 3
jvms against which i can compile my code. It just so happens that
pretty much every distribution I use uses a jvm a bit older or newer
than the one I need for a particular project so that is inevitable in
my case. Another bonus of doing this is that if you thinker any JVM
parameters at start-up like memory alocation, point to an alternative
keystore etc. etc. you are not messing up your real install that all
browsers would use, which would make your java functionality limited
or cause you grief in a different area you did not want to change in
the first place.

Another plus is that you can get the latest and greates (read most
patched) jvm that covers the latest vulnerabilities before the
distribution publishes an rpm as a fix, and sometimes that maybe a
requirement. For home use I would stick with a distribution version,
same for a work environment that does not allow such things...
For any other I would set it up my self.

Good luck.
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References